img-tiff(3tk)

NAME
img-tiff - Tagged Image File Format (tiff)

SYNOPSIS
package require img::tiff ?2.1?

DESCRIPTION
package require img::tiff

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Tagged Image File Format (tiff). More specifically img::tiff extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is tiff. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in tiff format (options -data and -file) is detected automatically.

[2] The format name tiff is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::tiff is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::tiff.

NOTES

[1] Chapter Multi-page Images of the Img manual page describes the handling of images with multiple pages.

[2] Chapter Image Metadata of the Img manual page describes the parameters of the resolution related options.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 2.0.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-index integer
    This option is supported for reading only. Available since version 1.4.0.

    Read the page at specified index. The first page is at index 0. Default is 0.

-compression string
    This option is supported for writing only. Available since version 1.2.4.

    Set the compression mode to either none, jpeg, packbits, or deflate. Default is none.

-byteorder string
    This option is supported for writing only. Available since version 1.2.4.

    Set the byteorder to either none, bigendian, littleendian, network or smallendian. Default is none.

    The values bigendian and network are aliases of each other, as are littleendian and smallendian.

-resolution xres ?yres?
    This option is supported for writing only. Available since version 2.0.

    Set the resolution values of the written image file. If yres is not specified, it is set to the value of xres.

    If option is not specified, the DPI and aspect values of the metadata dictionary are written. If no metadata values are available, no resolution values are written.

-xresolution xres
    This option is supported for writing only. Available since version 2.0.

    Set the horizontal resolution value of the written image file.

-yresolution yres
    This option is supported for writing only. Available since version 2.0.

    Set the vertical resolution value of the written image file.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>